## libfile-chdir-perl 0.1008

=== Makefile ===
# This Makefile is for the File::chdir extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.57_05 (Revision: 65705) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: (q[INSTALLDIRS=vendor])
#

#   MakeMaker Parameters:

#     ABSTRACT => q[a more sensible way to change directories]
#     AUTHOR => [q[David A Golden <dagolden@cpan.org>, Michael G Schwern <schwern@pobox.com> (original author)]]
#     BUILD_REQUIRES => { warnings=>q[0], Test::More=>q[0], File::Find=>q[0], File::Temp=>q[0] }
#     CONFIGURE_REQUIRES => { ExtUtils::MakeMaker=>q[6.30] }
#     DISTNAME => q[File-chdir]
#     EXE_FILES => []
#     LICENSE => q[perl]
#     NAME => q[File::chdir]
#     PREREQ_PM => { warnings=>q[0], vars=>q[0], Exporter=>q[0], Carp=>q[0], strict=>q[0], Test::More=>q[0], File::Find=>q[0], File::Temp=>q[0], File::Spec::Functions=>q[3.27], Cwd=>q[3.16] }
#     VERSION => q[0.1008]
#     test => { TESTS=>q[t/*.t] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.14/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib -fstack-protector
LDFLAGS =  -fstack-protector -L/usr/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 3.2.0-4-686-pae
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.14.2
SITEARCHEXP = /usr/local/lib/perl/5.14.2
SO = so
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = File::chdir
NAME_SYM = File_chdir
VERSION = 0.1008
VERSION_MACRO = VERSION
VERSION_SYM = 0_1008
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.1008
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = vendor
DESTDIR = 
PREFIX = /usr
PERLPREFIX = $(PREFIX)
SITEPREFIX = $(PREFIX)/local
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PERLPREFIX)/share/perl/5.14
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.14.2
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl/5.14
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.14.2
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = $(SITEPREFIX)/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = $(VENDORPREFIX)/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.14
PERL_ARCHLIB = /usr/lib/perl/5.14
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.14/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.14/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.57_05
MM_REVISION = 65705

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = File/chdir
BASEEXT = chdir
PARENT_NAME = File
DLBASE = $(BASEEXT)
VERSION_FROM = 
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = lib/File/chdir.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/File
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/File

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/File/chdir.pm

PM_TO_BLIB = lib/File/chdir.pm \
	blib/lib/File/chdir.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.57_05
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = File-chdir
DISTVNAME = File-chdir-0.1008


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	LD="$(LD)"\
	PREFIX="$(PREFIX)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

POD2MAN_EXE = $(PERLRUN) "-MExtUtils::Command::MM" -e pod2man "--"
POD2MAN = $(POD2MAN_EXE)


manifypods : pure_all  \
	lib/File/chdir.pm
	$(NOECHO) $(POD2MAN) --section=$(MAN3EXT) --perm_rw=$(PERM_RW) \
	  lib/File/chdir.pm $(INST_MAN3DIR)/File::chdir.$(MAN3EXT) 




# --- MakeMaker processPL section:


# --- MakeMaker installbin section:


# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean_subdirs section:
clean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean :: clean_subdirs
	- $(RM_F) \
	  *$(LIB_EXT) core \
	  core.[0-9] $(INST_ARCHAUTODIR)/extralibs.all \
	  core.[0-9][0-9] $(BASEEXT).bso \

## libfile-chdir-perl 0.06-1

=== debian/changelog ===
libfile-chdir-perl (0.06-1) unstable; urgency=low

  * Initial Release.

 -- James Bromberger <jeb@debian.org>  Tue, 22 Jun 2004 15:16:55 +0100

=== debian/control ===
Source: libfile-chdir-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 4.0.2)
Build-Depends-Indep: perl (>= 5.8.0-7)
Maintainer: James Bromberger <jeb@debian.org>
Standards-Version: 3.6.1

Package: libfile-chdir-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, 
Description:  A more sensible way to change directories
 Perl's chdir() has the unfortunate problem of being very, very, very 
 global. If any part of your program calls chdir() or if any library you 
 use calls chdir(), it changes the current working directory for the 
 whole program. 
 .
 This sucks.
 .
 File::chdir gives you an alternative, $CWD and @CWD. These two variables 
 combine all the power of chdir(), File::Spec and Cwd.

=== debian/rules ===
#!/usr/bin/make -f
# This debian/rules file is provided as a template for normal perl
# packages. It was created by Marc Brockschmidt <marc@dch-faq.de> for
# the Debian Perl Group (http://pkg-perl.alioth.debian.org/) but may
# be used freely wherever it is useful.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# If set to a true value then MakeMaker's prompt function will
# always return the default without waiting for user input.
export PERL_MM_USE_DEFAULT=1

PACKAGE=$(shell dh_listpackages)

ifndef PERL
PERL = /usr/bin/perl
endif

TMP     =$(CURDIR)/debian/$(PACKAGE)

# Allow disabling build optimation by setting noopt in
# $DEB_BUILD_OPTIONS
CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Add commands to compile the package here
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="$(CFLAGS)"
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	# Add commands to clean up after the build process here
	-$(MAKE) distclean
	
	dh_clean build-stamp install-stamp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	#$(MAKE) test
	$(MAKE) install DESTDIR=$(TMP) PREFIX=/usr
	
	# As this is a architecture independent package, we are not supposed to install
	# stuff to /usr/lib. MakeMaker creates the dirs, we delete them from the deb:
	rmdir --ignore-fail-on-non-empty --parents $(TMP)/usr/lib/perl5

	touch install-stamp

binary-arch:
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installcron
#	dh_installmenu
#	dh_installexamples
	dh_installdocs 
	dh_installchangelogs Changes
	dh_perl
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=2
http://www.cpan.org/modules/by-module/File/File-chdir-(.*)\.tar\.gz debian uupdate

## libfile-chdir-perl 0.06-2

=== debian/changelog ===
libfile-chdir-perl (0.06-2) unstable; urgency=low

  * Updated standards version to 3.7.2 (no changes required, just 
    bumping to remove Lintian warning).

 -- James Bromberger <jeb@debian.org>  Wed, 20 Dec 2006 22:25:37 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Build-Depends: debhelper (>= 4.0.2)
 Build-Depends-Indep: perl (>= 5.8.0-7)
 Maintainer: James Bromberger <jeb@debian.org>
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 
 Package: libfile-chdir-perl
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, 
+Depends: ${perl:Depends},
 Description:  A more sensible way to change directories
  Perl's chdir() has the unfortunate problem of being very, very, very 
  global. If any part of your program calls chdir() or if any library you

## libfile-chdir-perl 0.06-2.1

=== debian/changelog ===
libfile-chdir-perl (0.06-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dir is gone (closes: #467782)

 -- Stephen Gran <sgran@debian.org>  Sun, 06 Apr 2008 02:27:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_testroot
 
 	# Add commands to clean up after the build process here
-	-$(MAKE) distclean
+	[ ! -f Makefil ] || $(MAKE) distclean
 	
 	dh_clean build-stamp install-stamp
 
@@ -58,7 +58,7 @@
 	
 	# As this is a architecture independent package, we are not supposed to install
 	# stuff to /usr/lib. MakeMaker creates the dirs, we delete them from the deb:
-	rmdir --ignore-fail-on-non-empty --parents $(TMP)/usr/lib/perl5
+	[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty --parents $(TMP)/usr/lib/perl5
 
 	touch install-stamp

## libfile-chdir-perl 0.06-2.1maemo1

=== debian/changelog ===
libfile-chdir-perl (0.06-2.1maemo1) fremantle; urgency=low

  * New Maemo packaging

 -- Nito Martinez <Nito@Qindel.ES>  Tue, 13 Apr 2010 22:52:08 +0100

llibfile-chdir-perl (0.06-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dir is gone (closes: #467782)

 -- Stephen Gran <sgran@debian.org>  Sun, 06 Apr 2008 02:27:29 +0100

## libfile-chdir-perl 0.1008

=== debian/changelog ===
libfile-chdir-perl (0.1008-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (closes: #1007046)
  * d/copyright: Convert to machine-readable format
  * d/watch: Update version so that upstream is scanned again

 -- Bastian Germann <bage@debian.org>  Thu, 18 Apr 2024 20:49:01 +0200

libfile-chdir-perl (0.1008-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 16:17:20 +0100

libfile-chdir-perl (0.1008-1) unstable; urgency=low

  * New upstream release
  * Update watch file to version 3; stricter regex
  * Update debian/compat to 9.
  * Update copyright file (remove boilerplate)
  * Update debian/rules to recommended targets for build-arch/indep
  * Update standards version to 3.9.5 (no changes)

 -- James Bromberger <jeb@debian.org>  Fri, 01 Nov 2013 13:13:15 +0000

libfile-chdir-perl (0.1006-1) unstable; urgency=low

  * New upstream release

 -- James Bromberger <jeb@debian.org>  Thu, 24 Nov 2011 13:47:46 +0000

libfile-chdir-perl (0.1003-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (closes: Bug#579187)

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 08 May 2010 16:48:01 -0700

=== debian/control ===
Source: libfile-chdir-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl (>= 5.8.0-7)
Maintainer: James Bromberger <jeb@debian.org>
Standards-Version: 3.9.5

Package: libfile-chdir-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description:  more sensible way to change directories
 Perl's chdir() has the unfortunate problem of being very, very, very 
 global. If any part of your program calls chdir() or if any library you 
 use calls chdir(), it changes the current working directory for the 
 whole program. 
 .
 This sucks.
 .
 File::chdir gives you an alternative, $CWD and @CWD. These two variables 
 combine all the power of chdir(), File::Spec and Cwd.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,9 @@
         CFLAGS += -O2
 endif
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -51,7 +53,7 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	#$(MAKE) test
 	$(MAKE) install DESTDIR=$(TMP) PREFIX=/usr
@@ -68,9 +70,6 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-#	dh_installcron
-#	dh_installmenu
-#	dh_installexamples
 	dh_installdocs 
 	dh_installchangelogs Changes
 	dh_perl

=== debian/watch ===
version=4
http://www.cpan.org/modules/by-module/File/File-chdir-(.*)\.tar\.gz debian uupdate

## libfile-chdir-perl 0.1011

=== debian/changelog ===
libfile-chdir-perl (0.1011-1) unstable; urgency=medium

  * New upstream version
  * Maintain package in Debian Perl Group
    Closes: #1110891
  * Add Homepage
  * d/rules: short dh
  * d/watch:
     - version=4
     - Secure URL
  * cme fix dpkg-control
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Add debian/upstream/metadata
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Mon, 18 Aug 2025 12:47:35 +0200

=== debian/control ===
Source: libfile-chdir-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: James Bromberger <jeb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libfile-chdir-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libfile-chdir-perl.git
Homepage: https://metacpan.org/release/File-chdir

Package: libfile-chdir-perl
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends}
Description: more sensible way to change directories
 Perl's chdir() has the unfortunate problem of being very, very, very
 global. If any part of your program calls chdir() or if any library you
 use calls chdir(), it changes the current working directory for the
 whole program.
 .
 This sucks.
 .
 File::chdir gives you an alternative, $CWD and @CWD. These two variables
 combine all the power of chdir(), File::Spec and Cwd.

=== debian/watch ===
version=4
https://metacpan.org/release/File-chdir   .*/File-chdir-v?@ANY_VERSION@@ARCHIVE_EXT@$
